net.minecraft.src

## Annotation Type MLProp

-     @Retention(value=RUNTIME)
      @Target(value=FIELD)
      public @interface MLProp

  Author:
    cpw

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `info` Adds additional help to top of configuration file.
    `double` | `max` Maximum value allowed if field is a number.
    `double` | `min` Minimum value allowed if field is a number.
    `String` | `name` Overrides the field name for property key.

- - ### Element Detail

    - #### info

          public abstract String info

      Adds additional help to top of configuration file.
      Default:
        ""

    - #### max

          public abstract double max

      Maximum value allowed if field is a number.
      Default:
        1.7976931348623157E308

    - #### min

          public abstract double min

      Minimum value allowed if field is a number.
      Default:
        4.9E-324

    - #### name

          public abstract String name

      Overrides the field name for property key.
      Default:
        ""